List
curl --request GET \
--url https://api.qa.sima.ag/api/v3/third_party/campaigns \
--header 'Authorization: Bearer <token>' \
--header 'X-SIMA-SYSTEM-ID: <api-key>'import requests
url = "https://api.qa.sima.ag/api/v3/third_party/campaigns"
headers = {
"Authorization": "Bearer <token>",
"X-SIMA-SYSTEM-ID": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-SIMA-SYSTEM-ID': '<api-key>'}
};
fetch('https://api.qa.sima.ag/api/v3/third_party/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qa.sima.ag/api/v3/third_party/campaigns",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-SIMA-SYSTEM-ID: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"items": [
{
"id": 24161,
"schedule_planting_date": "2017-09-07T14:38:28-03:00",
"planting_date": "2017-09-07T14:38:28-03:00",
"planting_distance": "42.00",
"planting_objective_area_ha": null,
"harvest_finished": false,
"planting_finished": false,
"replanting": null,
"seed": null,
"date": "2017-09-07T14:38:28-03:00",
"year": 2017,
"plot_id": 22415,
"planting_system_id": 1,
"maturity_group_id": 2,
"days_from_planting": 365,
"formulated_id": 214176,
"master_campaign_id": 4494,
"objective_yield_kg_ha": null,
"harvest_final_yield": null,
"external_code": null,
"created_at": "2017-09-07T14:38:28-03:00",
"modified_at": "2025-02-25T13:11:26-03:00",
"deleted_at": null,
"active": true
},
{
"id": 25658,
"schedule_planting_date": "2017-10-11T22:38:59-03:00",
"planting_date": "2017-10-11T22:38:59-03:00",
"planting_distance": "42.00",
"planting_objective_area_ha": null,
"harvest_finished": false,
"planting_finished": false,
"replanting": null,
"seed": null,
"date": "2017-10-11T22:38:59-03:00",
"year": 2017,
"plot_id": 23571,
"planting_system_id": 1,
"maturity_group_id": 2,
"days_from_planting": 365,
"formulated_id": 214176,
"master_campaign_id": 4893,
"objective_yield_kg_ha": null,
"harvest_final_yield": null,
"external_code": null,
"created_at": "2017-10-11T22:38:59-03:00",
"modified_at": "2025-02-25T13:11:26-03:00",
"deleted_at": null,
"active": true
},
{
"id": 58278,
"schedule_planting_date": "2019-06-20T22:22:24-03:00",
"planting_date": "2019-06-20T22:22:24-03:00",
"planting_distance": "52.00",
"planting_objective_area_ha": "55.000",
"harvest_finished": false,
"planting_finished": false,
"replanting": false,
"seed": true,
"date": "2019-06-20T22:22:24-03:00",
"year": 2019,
"plot_id": 47576,
"planting_system_id": 1,
"maturity_group_id": 1,
"days_from_planting": 365,
"formulated_id": 214177,
"master_campaign_id": 10513,
"objective_yield_kg_ha": 40,
"harvest_final_yield": null,
"external_code": null,
"created_at": "2019-06-21T04:00:50-03:00",
"modified_at": "2025-02-25T13:11:26-03:00",
"deleted_at": null,
"active": true
},
{
"id": 58279,
"schedule_planting_date": "2019-06-20T23:18:45-03:00",
"planting_date": "2019-06-20T23:18:45-03:00",
"planting_distance": "52.00",
"planting_objective_area_ha": "23.000",
"harvest_finished": false,
"planting_finished": false,
"replanting": false,
"seed": false,
"date": "2019-06-20T23:18:45-03:00",
"year": 2019,
"plot_id": 47576,
"planting_system_id": 1,
"maturity_group_id": 1,
"days_from_planting": 365,
"formulated_id": 214174,
"master_campaign_id": 8409,
"objective_yield_kg_ha": null,
"harvest_final_yield": null,
"external_code": null,
"created_at": "2019-06-21T04:00:50-03:00",
"modified_at": "2025-02-25T13:11:26-03:00",
"deleted_at": null,
"active": true
},
{
"id": 321733,
"schedule_planting_date": "2023-03-01T00:00:00-03:00",
"planting_date": null,
"planting_distance": "52.00",
"planting_objective_area_ha": "86.810",
"harvest_finished": false,
"planting_finished": false,
"replanting": null,
"seed": null,
"date": "2023-07-04T14:33:01-03:00",
"year": 2023,
"plot_id": 217732,
"planting_system_id": 1,
"maturity_group_id": 1,
"days_from_planting": 0,
"formulated_id": null,
"master_campaign_id": 31341,
"objective_yield_kg_ha": null,
"harvest_final_yield": null,
"external_code": "13163",
"created_at": "2023-07-04T14:33:01-03:00",
"modified_at": "2025-03-25T10:24:16-03:00",
"deleted_at": null,
"active": false
}
],
"current_page": 1,
"next_page": 2,
"total_pages": 957,
"total_items": 4785
}Version 3 > Campaign
List
GET
/
api
/
v3
/
third_party
/
campaigns
List
Authorizations
access_token obtenido via POST /api/v2/login
Identificador del sistema integrador (8 para Third-Party API)
Response
200 - application/json
OK
The response is of type object.

